
From: NeilBrown <neilb@cse.unsw.edu.au>

Otherwise it could have a random value and might BUG.  This fixes a BUG
during resync problem in raid1 introduced by the bitmap-based-intent-loggin
patches.

Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/raid1.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/md/raid1.c~md-raid1-support-for-bitmap-intent-logging-fix drivers/md/raid1.c
--- 25/drivers/md/raid1.c~md-raid1-support-for-bitmap-intent-logging-fix	2005-03-07 22:05:10.000000000 -0800
+++ 25-akpm/drivers/md/raid1.c	2005-03-07 22:05:10.000000000 -0800
@@ -1230,6 +1230,7 @@ static sector_t sync_request(mddev_t *md
 	}
 
 	nr_sectors = 0;
+	sync_blocks = 0;
 	do {
 		struct page *page;
 		int len = PAGE_SIZE;
_
